# Class KeyStoreUtil

java.lang.Object
org.apache.tomcat.util.security.KeyStoreUtil

public class KeyStoreUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`load(KeyStore keystore, InputStream is, char[] storePass)`
Loads a KeyStore from an InputStream working around the known JDK bug https://bugs.openjdk.java.net/browse/JDK-8157404.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### load

public static void load(KeyStore keystore, InputStream is, char[] storePass) throws NoSuchAlgorithmException, CertificateException, IOException
Loads a KeyStore from an InputStream working around the known JDK bug https://bugs.openjdk.java.net/browse/JDK-8157404. This code can be removed once the minimum Java version for Tomcat is 13.

Parameters:
  `keystore` - The KeyStore to load from the InputStream
  `is` - The InputStream to use to populate the KeyStore
  `storePass` - The password to access the KeyStore
Throws:
  `IOException` - If an I/O occurs reading from the given InputStream
  `CertificateException` - If one or more certificates can't be loaded into the KeyStore
  `NoSuchAlgorithmException` - If the algorithm specified to validate the integrity of the KeyStore cannot be found